package cn.com.infosec.asn1.teletrust;

import cn.com.infosec.asn1.DERObjectIdentifier;

public interface TeleTrusTObjectIdentifiers {
   String teleTrusTAlgorithm = "1.3.36.3";
   DERObjectIdentifier ripemd160 = new DERObjectIdentifier("1.3.36.3.2.1");
   DERObjectIdentifier ripemd128 = new DERObjectIdentifier("1.3.36.3.2.2");
   DERObjectIdentifier ripemd256 = new DERObjectIdentifier("1.3.36.3.2.3");
   String teleTrusTRSAsignatureAlgorithm = "1.3.36.3.3.1";
   DERObjectIdentifier rsaSignatureWithripemd160 = new DERObjectIdentifier("1.3.36.3.3.1.2");
   DERObjectIdentifier rsaSignatureWithripemd128 = new DERObjectIdentifier("1.3.36.3.3.1.3");
   DERObjectIdentifier rsaSignatureWithripemd256 = new DERObjectIdentifier("1.3.36.3.3.1.4");
   DERObjectIdentifier ecSign;
   DERObjectIdentifier ecSignWithSha1;
   DERObjectIdentifier ecSignWithRipemd160;
   DERObjectIdentifier ecc_brainpool;
   DERObjectIdentifier ellipticCurve;
   DERObjectIdentifier versionOne;
   DERObjectIdentifier brainpoolP160r1;
   DERObjectIdentifier brainpoolP160t1;
   DERObjectIdentifier brainpoolP192r1;
   DERObjectIdentifier brainpoolP192t1;
   DERObjectIdentifier brainpoolP224r1;
   DERObjectIdentifier brainpoolP224t1;
   DERObjectIdentifier brainpoolP256r1;
   DERObjectIdentifier brainpoolP256t1;
   DERObjectIdentifier brainpoolP320r1;
   DERObjectIdentifier brainpoolP320t1;
   DERObjectIdentifier brainpoolP384r1;
   DERObjectIdentifier brainpoolP384t1;
   DERObjectIdentifier brainpoolP512r1;
   DERObjectIdentifier brainpoolP512t1;

   static {
      DERObjectIdentifier var0;
      DERObjectIdentifier var10000 = var0 = new DERObjectIdentifier;
      var10000.<init>("1.3.36.3.3.2");
      ecSign = var10000;
      ecSignWithSha1 = new DERObjectIdentifier(var0 + ".1");
      ecSignWithRipemd160 = new DERObjectIdentifier(var0 + ".2");
      var10000 = var0 = new DERObjectIdentifier;
      var10000.<init>("1.3.36.3.3.2.8");
      ecc_brainpool = var10000;
      DERObjectIdentifier var1;
      var10000 = var1 = new DERObjectIdentifier;
      var10000.<init>(var0 + ".1");
      ellipticCurve = var10000;
      var10000 = var0 = new DERObjectIdentifier;
      var10000.<init>(var1 + ".1");
      versionOne = var10000;
      brainpoolP160r1 = new DERObjectIdentifier(var0 + ".1");
      brainpoolP160t1 = new DERObjectIdentifier(var0 + ".2");
      brainpoolP192r1 = new DERObjectIdentifier(var0 + ".3");
      brainpoolP192t1 = new DERObjectIdentifier(var0 + ".4");
      brainpoolP224r1 = new DERObjectIdentifier(var0 + ".5");
      brainpoolP224t1 = new DERObjectIdentifier(var0 + ".6");
      brainpoolP256r1 = new DERObjectIdentifier(var0 + ".7");
      brainpoolP256t1 = new DERObjectIdentifier(var0 + ".8");
      brainpoolP320r1 = new DERObjectIdentifier(var0 + ".9");
      brainpoolP320t1 = new DERObjectIdentifier(var0 + ".10");
      brainpoolP384r1 = new DERObjectIdentifier(var0 + ".11");
      brainpoolP384t1 = new DERObjectIdentifier(var0 + ".12");
      brainpoolP512r1 = new DERObjectIdentifier(var0 + ".13");
      brainpoolP512t1 = new DERObjectIdentifier(var0 + ".14");
   }
}
